## org.eclipse.emf.transaction
Interface TransactionalEditingDomain.Lifecycle

All Known Subinterfaces:
  InternalLifecycle

All Known Implementing Classes:
  TransactionalEditingDomainImpl.LifecycleImpl

Enclosing interface:
  TransactionalEditingDomain

    public static interface TransactionalEditingDomain.Lifecycle

Adapter interface provided by `TransactionalEditingDomain`s that support notification of life-cycle events to `TransactionalEditingDomainListener`s.

This interface is not intended to be implemented by clients, but by editing domain providers.

Since:
  1.3

Method Summary
`void` `addTransactionalEditingDomainListener(TransactionalEditingDomainListener l)` Adds a listener to be notified of editing domain and transaction life-cycle events.
`void` `removeTransactionalEditingDomainListener(TransactionalEditingDomainListener l)` Removes a lif-cycle event listener from the editing domain.

Method Detail

### addTransactionalEditingDomainListener

    void addTransactionalEditingDomainListener(TransactionalEditingDomainListener l)

  Adds a listener to be notified of editing domain and transaction life-cycle events.

  Parameters:
    `l` - a listener to add

### removeTransactionalEditingDomainListener

    void removeTransactionalEditingDomainListener(TransactionalEditingDomainListener l)

  Removes a lif-cycle event listener from the editing domain.

  Parameters:
    `l` - a listener to remove

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.